local assets=
{
	Asset("ANIM", "anim/bluelight.zip"),
}

local function fn(Sim)
	local inst = CreateEntity()
	inst.entity:AddTransform()
	inst.entity:AddAnimState()
    inst.entity:AddSoundEmitter()

    inst:AddTag("FX")
    inst.persists = false  --游戏退出时不保存该实体，节省游戏内存

    inst.AnimState:SetBank("bluelight")
    inst.AnimState:SetBuild("bluelight")
    inst.AnimState:PlayAnimation("bluelight")

    inst.Transform:SetScale(1.5, 1.5, 1.5) --动画大小缩放
    inst.AnimState:SetSortOrder(1)
    inst:ListenForEvent("animover", function() inst:Remove() end)
	
    return inst
end

return Prefab("common/inventory/bluelight", fn, assets) 
